#!/usr/bin/env python
import urllib3, urllib,json, re, random, string, cStringIO,random
import tempfile,hashlib

class tools:
    def __init__(self,db=None):
        self.db=db
            
    def gentoken(self,stringLength=10):
        letters = string.ascii_uppercase
        return ''.join(random.choice(letters) for i in range(stringLength))
    
    